using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace lkfxdok.LKF
{
    public class AkWarn : AufenthaltChildData
    {

        public enum AkWarnPos : int { Wert = 5, ErrorCode = 6, Kommentar = 7};


        public AkWarn(Aufenthalt aufenthalt) : base (aufenthalt, "X06")
        {
            aufenthalt._AddAkWarn(this);
        }

        public AkWarn(Aufenthalt aufenthalt, string line) : base (aufenthalt, line)
        {
            aufenthalt._AddAkWarn(this);
        }

        internal AkWarn(Aufenthalt aufenthalt, string line, uint pos) : base(aufenthalt, line)
        {
            _lastSyncIndex = (int)pos;
        }

        protected override int OfficialFieldCount
        {
            get
            {
                return 8;
            }
        }

        public string Wert
        {
            get
            {
                return _line[(int)AkWarnPos.Wert];
            }
            set
            {
                _line[(int)AkWarnPos.Wert] = value;
            }
        }

        public string Kommentar
        {
            get
            {
                return _line[(int)AkWarnPos.Kommentar];

            }
            set
            {
                _line[(int)AkWarnPos.Kommentar] = value;
            }
        }

        public string ErrorCode
        {
            get
            {
                return _line[(int)AkWarnPos.ErrorCode];
            }
            set
            {
                _line[(int)AkWarnPos.ErrorCode] = value;
            }
        }

    }
}
